# Contacts API: People

## GET /api/contacts/pending-people/{pending}

> Retrieves one specific pending person

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/pending-people/{pending}":{"get":{"tags":["Contacts API: People"],"summary":"Retrieves one specific pending person","operationId":"retrievePendingPerson","parameters":[{"name":"pending","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## PUT /api/contacts/pending-people/{pending}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyPendingPerson":{"type":"object","properties":{"PendingId":{"type":"string","format":"uuid"},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/pending-people/{pending}":{"put":{"tags":["Contacts API: People"],"operationId":"modifyPendingPerson","parameters":[{"name":"pending","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyPendingPerson"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyPendingPerson"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyPendingPerson"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyPendingPerson"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/contacts/pending-people/{pending}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/pending-people/{pending}":{"delete":{"tags":["Contacts API: People"],"operationId":"deletePendingPerson","parameters":[{"name":"pending","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/contacts/pending-people/{pending}

> Checks for the existence of one specific pending person

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/pending-people/{pending}":{"head":{"tags":["Contacts API: People"],"summary":"Checks for the existence of one specific pending person","operationId":"assertPendingPerson","parameters":[{"name":"pending","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/contacts/pending-people/collect

> Collects the list of pending people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPendingPeople":{"type":"object","properties":{"SubmittedBy":{"type":"string","format":"uuid","nullable":true},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"SubmittedBefore":{"type":"string","format":"date-time","nullable":true},"SubmittedSince":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PendingPersonModel":{"type":"object","properties":{"SubmittedBy":{"type":"string","format":"uuid"},"PendingId":{"type":"string","format":"uuid"},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"SubmittedAt":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/contacts/pending-people/collect":{"post":{"tags":["Contacts API: People"],"summary":"Collects the list of pending people that match specific criteria","operationId":"collectPendingPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PendingPersonModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PendingPersonModel"}}}}}}}}}}
```

## POST /api/contacts/pending-people/count

> Counts the pending people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountPendingPeople":{"type":"object","properties":{"SubmittedBy":{"type":"string","format":"uuid","nullable":true},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"SubmittedBefore":{"type":"string","format":"date-time","nullable":true},"SubmittedSince":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/pending-people/count":{"post":{"tags":["Contacts API: People"],"summary":"Counts the pending people that match specific criteria","operationId":"countPendingPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountPendingPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountPendingPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountPendingPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountPendingPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/contacts/pending-people/download

> Downloads the list of pending people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPendingPeople":{"type":"object","properties":{"SubmittedBy":{"type":"string","format":"uuid","nullable":true},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"SubmittedBefore":{"type":"string","format":"date-time","nullable":true},"SubmittedSince":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/pending-people/download":{"post":{"tags":["Contacts API: People"],"summary":"Downloads the list of pending people that match specific criteria","operationId":"downloadPendingPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPendingPeople"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/contacts/pending-people/search

> Searches for the list of pending people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchPendingPeople":{"type":"object","properties":{"SubmittedBy":{"type":"string","format":"uuid","nullable":true},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"SubmittedBefore":{"type":"string","format":"date-time","nullable":true},"SubmittedSince":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PendingPersonMatch":{"type":"object","properties":{"PendingId":{"type":"string","format":"uuid"},"PendingStatus":{"type":"string","nullable":true},"SubmittedAt":{"type":"string","format":"date-time"},"SubmittedWhen":{"type":"string","nullable":true},"SubmittedBy":{"type":"string","format":"uuid"},"SubmittedByName":{"type":"string","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"PersonId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/pending-people/search":{"post":{"tags":["Contacts API: People"],"summary":"Searches for the list of pending people that match specific criteria","operationId":"searchPendingPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchPendingPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchPendingPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchPendingPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchPendingPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PendingPersonMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PendingPersonMatch"}}}}}}}}}}
```

## POST /api/contacts/pending-people

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreatePendingPerson":{"type":"object","properties":{"PendingId":{"type":"string","format":"uuid"},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true}},"additionalProperties":false},"PendingPersonModel":{"type":"object","properties":{"SubmittedBy":{"type":"string","format":"uuid"},"PendingId":{"type":"string","format":"uuid"},"PersonId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"PersonCode":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserFirstName":{"type":"string","nullable":true},"UserLastName":{"type":"string","nullable":true},"SubmittedAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/pending-people":{"post":{"tags":["Contacts API: People"],"operationId":"createPendingPerson","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreatePendingPerson"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreatePendingPerson"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreatePendingPerson"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreatePendingPerson"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PendingPersonModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```

## GET /api/contacts/people/{person}

> Retrieves one specific person

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/people/{person}":{"get":{"tags":["Contacts API: People"],"summary":"Retrieves one specific person","operationId":"retrievePerson","parameters":[{"name":"person","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/contacts/people/{person}

> Checks for the existence of one specific person

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/contacts/people/{person}":{"head":{"tags":["Contacts API: People"],"summary":"Checks for the existence of one specific person","operationId":"assertPerson","parameters":[{"name":"person","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/contacts/people/collect

> Collects the list of people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPeople":{"type":"object","properties":{"UserId":{"type":"string","format":"uuid","nullable":true},"EmailExact":{"type":"string","nullable":true},"EventRole":{"type":"string","nullable":true},"FullName":{"type":"string","nullable":true},"PersonCode":{"type":"string","nullable":true},"LastAuthenticatedSince":{"type":"string","format":"date-time","nullable":true},"IsApproved":{"type":"boolean","nullable":true}},"additionalProperties":false},"PersonModel":{"type":"object","properties":{"FullName":{"type":"string","nullable":true},"PersonFirstName":{"type":"string","nullable":true},"PersonMiddleName":{"type":"string","nullable":true},"PersonLastName":{"type":"string","nullable":true},"PersonType":{"type":"string","nullable":true},"PersonCode":{"type":"string","nullable":true},"PersonId":{"type":"string","format":"uuid"},"UserId":{"type":"string","format":"uuid"},"UserName":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"UserEmailAlternate":{"type":"string","nullable":true},"IsAdministrator":{"type":"boolean"},"IsDeveloper":{"type":"boolean"},"IsLearner":{"type":"boolean"},"IsOperator":{"type":"boolean"},"AccessRevoked":{"type":"string","format":"date-time","nullable":true},"AccessRevokedBy":{"type":"string","nullable":true},"LastAuthenticated":{"type":"string","format":"date-time","nullable":true},"UserAccessGranted":{"type":"string","format":"date-time","nullable":true},"UserAccessGrantedBy":{"type":"string","nullable":true},"UserApproveReason":{"type":"string","nullable":true},"WelcomeEmailsSentToUser":{"type":"integer","format":"int32","nullable":true},"EmailAlternateEnabled":{"type":"boolean"},"EmailEnabled":{"type":"boolean"},"MarketingEmailEnabled":{"type":"boolean"},"Phone":{"type":"string","nullable":true},"PhoneFax":{"type":"string","nullable":true},"PhoneHome":{"type":"string","nullable":true},"PhoneOther":{"type":"string","nullable":true},"PhoneWork":{"type":"string","nullable":true},"BillingAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"HomeAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"ShippingAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"ShippingPreference":{"type":"string","nullable":true},"WorkAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"EmergencyContactName":{"type":"string","nullable":true},"EmergencyContactPhone":{"type":"string","nullable":true},"EmergencyContactRelationship":{"type":"string","nullable":true},"AgeGroup":{"type":"string","nullable":true},"Birthdate":{"type":"string","format":"date-time","nullable":true},"Citizenship":{"type":"string","nullable":true},"FirstLanguage":{"type":"string","nullable":true},"Gender":{"type":"string","nullable":true},"Language":{"type":"string","nullable":true},"Region":{"type":"string","nullable":true},"TimeZone":{"type":"string","nullable":true},"EmployerGroupId":{"type":"string","format":"uuid","nullable":true},"EmployeeType":{"type":"string","nullable":true},"EmployeeUnion":{"type":"string","nullable":true},"JobDivision":{"type":"string","nullable":true},"JobTitle":{"type":"string","nullable":true},"JobsApproved":{"type":"string","format":"date-time","nullable":true},"JobsApprovedBy":{"type":"string","nullable":true},"OccupationStandardId":{"type":"string","format":"uuid","nullable":true},"CandidateCompletionProfilePercent":{"type":"integer","format":"int32","nullable":true},"CandidateCompletionResumePercent":{"type":"integer","format":"int32","nullable":true},"CandidateIsActivelySeeking":{"type":"boolean","nullable":true},"CandidateIsWillingToRelocate":{"type":"boolean","nullable":true},"CandidateLinkedInUrl":{"type":"string","nullable":true},"CandidateOccupationList":{"type":"string","nullable":true},"ImmigrationApplicant":{"type":"string","nullable":true},"ImmigrationCategory":{"type":"string","nullable":true},"ImmigrationDestination":{"type":"string","nullable":true},"ImmigrationDisability":{"type":"string","nullable":true},"ImmigrationLandingDate":{"type":"string","format":"date-time","nullable":true},"ImmigrationNumber":{"type":"string","nullable":true},"MemberEndDate":{"type":"string","format":"date-time","nullable":true},"MembershipStatusItemId":{"type":"string","format":"uuid","nullable":true},"MemberStartDate":{"type":"string","format":"date-time","nullable":true},"CredentialingCountry":{"type":"string","nullable":true},"EducationLevel":{"type":"string","nullable":true},"IndustryItemId":{"type":"string","format":"uuid","nullable":true},"SocialInsuranceNumber":{"type":"string","nullable":true},"TradeworkerNumber":{"type":"string","nullable":true},"ConsentConsultation":{"type":"string","nullable":true},"ConsentToShare":{"type":"string","nullable":true},"Referrer":{"type":"string","nullable":true},"ReferrerOther":{"type":"string","nullable":true},"IsArchived":{"type":"boolean"},"WhenArchived":{"type":"string","format":"date-time","nullable":true},"WhenUnarchived":{"type":"string","format":"date-time","nullable":true},"AccountReviewCompleted":{"type":"string","format":"date-time","nullable":true},"AccountReviewQueued":{"type":"string","format":"date-time","nullable":true},"WebSiteUrl":{"type":"string","nullable":true},"Created":{"type":"string","format":"date-time"},"CreatedBy":{"type":"string","format":"uuid","nullable":true},"CustomKey":{"type":"integer","format":"int32","nullable":true},"Modified":{"type":"string","format":"date-time"},"ModifiedBy":{"type":"string","format":"uuid"},"SinModified":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PersonAddressModel":{"type":"object","properties":{"AddressId":{"type":"string","format":"uuid"},"City":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Province":{"type":"string","nullable":true},"Street1":{"type":"string","nullable":true},"Street2":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/people/collect":{"post":{"tags":["Contacts API: People"],"summary":"Collects the list of people that match specific criteria","operationId":"collectPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonModel"}}}}}}}}}}
```

## POST /api/contacts/people/count

> Counts the people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountPeople":{"type":"object","properties":{"UserId":{"type":"string","format":"uuid","nullable":true},"EmailExact":{"type":"string","nullable":true},"EventRole":{"type":"string","nullable":true},"FullName":{"type":"string","nullable":true},"PersonCode":{"type":"string","nullable":true},"LastAuthenticatedSince":{"type":"string","format":"date-time","nullable":true},"IsApproved":{"type":"boolean","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/people/count":{"post":{"tags":["Contacts API: People"],"summary":"Counts the people that match specific criteria","operationId":"countPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/contacts/people/download

> Downloads the list of people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPeople":{"type":"object","properties":{"UserId":{"type":"string","format":"uuid","nullable":true},"EmailExact":{"type":"string","nullable":true},"EventRole":{"type":"string","nullable":true},"FullName":{"type":"string","nullable":true},"PersonCode":{"type":"string","nullable":true},"LastAuthenticatedSince":{"type":"string","format":"date-time","nullable":true},"IsApproved":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/people/download":{"post":{"tags":["Contacts API: People"],"summary":"Downloads the list of people that match specific criteria","operationId":"downloadPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/contacts/people/search

> Searches for the list of people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchPeople":{"type":"object","properties":{"UserId":{"type":"string","format":"uuid","nullable":true},"EmailExact":{"type":"string","nullable":true},"EventRole":{"type":"string","nullable":true},"FullName":{"type":"string","nullable":true},"PersonCode":{"type":"string","nullable":true},"LastAuthenticatedSince":{"type":"string","format":"date-time","nullable":true},"IsApproved":{"type":"boolean","nullable":true}},"additionalProperties":false},"PersonMatch":{"type":"object","properties":{"PersonId":{"type":"string","format":"uuid"},"PersonCode":{"type":"string","nullable":true},"PersonFirstName":{"type":"string","nullable":true},"PersonMiddleName":{"type":"string","nullable":true},"PersonLastName":{"type":"string","nullable":true},"UserId":{"type":"string","format":"uuid"},"UserName":{"type":"string","nullable":true},"UserEmail":{"type":"string","nullable":true},"IsAdministrator":{"type":"boolean"},"IsDeveloper":{"type":"boolean"},"IsLearner":{"type":"boolean"},"IsOperator":{"type":"boolean"},"TimeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/contacts/people/search":{"post":{"tags":["Contacts API: People"],"summary":"Searches for the list of people that match specific criteria","operationId":"searchPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonMatch"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/contacts-api-people.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
